:root {
  --bg: linear-gradient(135deg, rgba(0, 0, 0, 0.781), rgba(58, 58, 58, 0.559));
  --card: linear-gradient(135deg, rgba(54, 74, 94, 0.64), #1e2e55ea);
   --white: #fff;
  --text: #F2EFE7;
  --muted: #ffffff;
  --shadow: 0 30px 80px rgba(110, 145, 160, 0.618);
    color-scheme: light;
 
}

* { box-sizing: border-box; }
body {
  margin: 0;
  font-family: "MyFont";
  background: #ffffff;
  color: var(--text);
  background-image: url("bg/bk.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;

  
}
@font-face {
  font-family: "MyFont";
  src: url("font/YekanBakh-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "arahooshf";
  src: url("font/Artin.ttf") format("woff2");
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}
.screen {
min-height: calc(100vh - 170px);
  place-items: center;
  padding: calc(16px + env(safe-area-inset-top)) 16px
           calc(16px + env(safe-area-inset-bottom));
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: calc(16px + env(safe-area-inset-top)) 16px
         calc(16px + env(safe-area-inset-bottom));

  background-color: var(--card);
     margin-bottom: -120px;

   

}

.screen::before {
  content: "";
  position: fixed;
  inset: 0;
  background: linear-gradient(135deg, rgba(0, 0, 0, 0.781), rgba(58, 58, 58, 0.753));
  
  backdrop-filter: blur(2px);
  z-index: 0;
}

.hide-scrollbar::-webkit-scrollbar {
  display: none;

}

.chips{ display:flex; gap:5px; justify-content:center; margin-top:15px; margin-bottom: 10px; flex-wrap:wrap; }
.chips span{
  font-size: 12px;
  color: rgba(254, 254, 254, 0.86);
  background:#f3efe279 ;
  padding: 8px 10px;
  border-radius: 999px;
}


.card {
  width: min(410px, 92vw);
  min-height: min(760px, 86svh);
  background: var(--card);
  box-shadow: var(--shadow);
  display: flex;
  flex-direction: column;
  gap: 15px;
  position: relative;
  align-items: center;
  overflow-y: auto;
  border-radius: 18px; 
  z-index: 30;
  overflow-x: hidden;

  scrollbar-width: none;

position: relative;

}


.profile {
  text-align: center;
  margin-top: 12px;
  

}

.avatar {
  width: 90px;
  height: 90px;
  border-radius: 999px;
  object-fit: cover;
    transform: scale(1.25);
    margin-top: 20px;

    
}


.name {
  font-size: 22px;
  font-weight: 900;
  margin: 2px 0 0;
  color: #fffceb;
}

.bio {
  margin: 4px 0 0;
  font-size: 14px;
  color:#f6f3e8;
  font-family: "MyFont";
}


.links-group {
  width: 85%;
  background: linear-gradient(135deg, #2d4e7d 0%,  #18284b 100%);
  border-radius: 18px;
  padding: 16px 20px 19px 20px;
  border: 2px solid #f8f4c84f;
  box-sizing: border-box;
}


.links-group-title {
  font-size: 18px;
  font-weight: 700;
  color: #e1e1e1;
  margin-bottom: 10px;
}

.links {
  width: 100%;
  margin-top: 20px;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.link-pill {
  font-size: 18px;
  transition: transform 0.12s ease, box-shadow 0.12s ease;
  width: 100%;
  background:  #fff6daed ;
  border: 0;
  padding: 16px 18px;
  border-radius: 18px;
  min-height: 52px;
  display: grid;
  grid-template-columns: 1fr 18px;
  align-items: center;
  cursor: pointer;
  transform: translateY(0) scale(1);
  transition:
    transform 220ms cubic-bezier(.16, 1, .3, 1),
    box-shadow 220ms cubic-bezier(.16, 1, .3, 1),
    filter 220ms cubic-bezier(.16, 1, .3, 1);
  will-change: transform;
  font-family: "MyFont";
}

.link-title {
  text-align: center;
  font-weight: 600;
  line-height: 1.2;
  padding-left: 18px;
  color: #070b2e;
}



.kebab {
  width: 5px;
  height: 5px;
  display: grid;
  place-items: center;
  color: #ffffff;
  opacity: 0.8;
  transform: translateY(-4px);
}

.link-pill:hover {
  background: #eedfc5;
  transform: translateY(-1px);
  box-shadow: 0 2px 2px #35426bcc;
  color: #ffffff;
}

@media (max-width: 360px) {
  .links-group {
    padding: 12px 10px;
  }

  .link-pill {
    padding: 8px 12px;
  }

  .link-title {
    font-size: 14px;
  }
}



.social {
  padding-bottom: calc(10px + env(safe-area-inset-bottom));
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;
  gap: 16px;
  padding-top: 6px;  
margin-top: 65px;
  margin-bottom: 10px;

}

.social a {
  width: 44px;
  height: 44px;
  display: grid;
  place-items: center;
  border-radius: 999px;
  background: #fff6da53;
  color: #fff;
  text-decoration: none;
  transition: transform 0.12s ease, background 0.12s ease;
}

.social a:active {
  transform: scale(0.96);
}

.menu {
  position: fixed;
  background: #2b2929;
  color: #fff;
  border: 1px solid rgba(255,255,255,0.10);
  border-radius: 12px;
  padding: 8px;
  width: 170px;
  box-shadow: 0 24px 60px rgba(27, 27, 27, 0.9);
  z-index: 9999;
}

.menu button {
  width: 100%;
  background: transparent;
  border: 0;
  color: #fff;
  padding: 10px 10px;
  border-radius: 10px;
  cursor: pointer;
  text-align: left;
  font-size: 14px;
}

.menu button:hover {
  background: rgba(255,255,255,0.08);
}

.toast {
  position: fixed;
  left: 50%;
  bottom: calc(22px + env(safe-area-inset-bottom));
  transform: translateX(-50%);
  background: rgba(27, 27, 27, 0.9);
  color: #fff;
  padding: 10px 14px;
  border-radius: 999px;
  font-size: 13px;
  border: 1px solid rgba(255,255,255,0.12);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.18s ease;
}

.toast.show { opacity: 1; }



.social a img {
  width: 18px;
  height: 18px;
  display: block;
  filter: brightness(0) invert(1);
  opacity: 0.95;
}
.social a:hover img {
  opacity: 1;
}

.links:hover .link-pill {
  filter: brightness(0.97);
  opacity: 0.79;
  transform: translateY(0) scale(0.995);
}

.links:hover .link-pill:hover {
  opacity: 1;
  filter: none;
  transform: translateY(-6px) scale(1.03);
}


.logoArahoosh {
  margin-top: auto;
  padding-bottom: calc(10px + env(safe-area-inset-bottom));
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;
  gap: 16px;
  padding-top: 6px;
  margin-top: -6px;
  margin-bottom: -6px;  


}



@media (max-width: 360px) {
  .card {
padding-top: 10px;
    gap: 18px;
    width: 100vw;
    min-height: 100svh;

    border-radius: 0; 
    box-shadow: none; 
    overflow-y: auto;
  }

  .row-track img {
    width: 110px;
    height: 110px;
  }



}

@media (max-height: 700px) {
  .card {
    gap: 12px;
padding-top: 10px;
  }

  .avatar {
    width: 78px;
    height: 78px;
  }

  .logo {
    width: 82px;
    height: 82px;
  }

  .links {
    gap: 12px;
    margin-top: 10px;
  }
  
  .social {
    margin-top: 30px;
    padding-bottom: 8px;
  }
}

@media (max-width: 768px) {

  body {
    background: #1e2e55ea !important; 
    background-size: cover !important;
    background-attachment: scroll !important; 
  }

  .screen::before {
    display: none !important;
  }

  .screen {
    padding: 0 !important;
  }

  .card {
    width: 100vw;
    min-height: 100svh;

    border-radius: 0; 
    box-shadow: none; 
    overflow-y: auto;
  }
  .viweOnMobile{
display: none;  }
}




 .btnAra{
  position: absolute;
  width: 32px;
  height: 32px;
  border: none;
  border-radius: 8px;
  background: url("icons/arahoosh.png") no-repeat center;
  background-size: 20px;
  cursor: pointer;
  left:16px;
 }


.arahoosh {
position: absolute;
  top: 16px;
  left: 0;
  right: 0;
  height: 20px;
  z-index: 20;
}


 .btnShare{
  position: absolute;
  width: 32px;
  height: 32px;
  border: none;
  border-radius: 8px;
  background: url("icons/share.png") no-repeat center;
  background-size: 20px;
  cursor: pointer;
  right:16px;
 }
 .btnAra:after{
  content: attr(data-tip);
  position: absolute;
  top: 120%;
  left: 50%;
  transform: translateX(-50%) translateY(6px);
  background: rgba(20, 20, 20, 0.836);
  color: #fff;
  font-size: 12px;
  font-family: "MyFont";
  padding: 6px 10px;
  border-radius: 8px;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: opacity 150ms ease, transform 150ms ease;
  z-index: 50;
}

.btnAra:hover::after{
  opacity:1;
  transform: translateX(-50%) translateY(0);
}

 .btnShare:after{
  content: attr(data-tip);
  position: absolute;
  top: 120%;
  left: 50%;
  transform: translateX(-50%) translateY(6px);
  background: rgba(20, 20, 20, 0.89);
  color: #fff;
  font-size: 12px;
  padding: 6px 10px;
  border-radius: 8px;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: opacity 150ms ease, transform 150ms ease;
  z-index: 50;
}

.btnShare:hover::after
{
  opacity:1;
  transform: translateX(-50%) translateY(0);
}



.row-slider{
  width: 88%;
  max-width: 520px;
  border-radius: 22px 22px 22px 22px;
  margin-top: 10px;
  display: flex;
  flex-direction: column;
  margin-bottom: 10px;



}

.row-track{

  display: flex;
  gap: 8px;
 width: max-content;
overflow-x: hidden;

}

.row-track img{
  height: 170px;
  width: 170px;
   flex-shrink: 0;
   object-fit: cover;
   background: rgba(255, 248, 210, 0.59);
   border-radius: 12px;
   overflow-x: hidden;
}



.text-link{
  font-size: 13px;
  font-weight: 600;
  color: #000000;
  display: grid;
  place-items: center;
  text-decoration: none;

}

.text-link:hover{
  text-decoration: underline;     
  text-underline-offset: 2px;      
  text-decoration-thickness: 1px; 
}

.footer {
  text-align: center;
  margin-top: -40px;
}

.footer-text {
  margin: 0;
  font-size: 14px;
  color: rgba(244, 244, 244, .65);
}

.arahooshR {
  font-size: 15px;
  font-family: "arahooshf";
  font-weight: 900;
  margin-top: 20px;
  color: #eeeeee;
  margin-bottom: 30px;
  place-items: center;
  text-decoration: solid;

}

.footer-links {
  display: flex; 
  justify-content: center;
  gap: 15px;
  flex-wrap: wrap; 
}

.text-link {
  font-size: 12px;
  text-decoration: none;
  color: var(--text);
  opacity: 0.7;
  transition: opacity 0.3s;
}

.text-link:hover {
  opacity: 1;
  color: var(--gold); 
}



.viweOnMobile{
  position: fixed;        
  bottom: 20px;           
  right: 20px;           
  width: 120px;          
  height: auto;
  z-index: 999;
}